.testimonials {
    &__wrapper {
        padding-top: $global-padding-mobile;
        padding-bottom: $global-padding;
    }

    &__heading {
        text-align: center;
        margin-bottom: $heading-margin;
    }

    &-item {
        display: flex;
        flex-direction: column;
        align-items: center;

        &__image {
            height: 295px;
            width: 100%;
            max-width: 269px;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
            margin-bottom: 50px;
        
            &.image1 {
                background-image: url('./files/testimonial.jpg');
            }
        
            &.image2 {
                background-image: url('./files/testimonial2.jpg');
            }
        
            &.image3 {
                background-image: url('./files/testimonial3.jpg');
            }
        }

        &__heading {
            font-family: $base-font-family;
            color: $base-font-colour;
            font-weight: bold;
            font-size: 18px;
            margin: 0;
            margin-bottom: 12px;
        }

        &__description {
            font-family: $alt-font-family;
            color: $grey;
            font-size: 13px;
            margin: 0;
            line-height: 25px;
        }

        &__text--top {
            position: relative;
        }
    }

    &__left-icon {
        position: absolute;
        top: -30px;
        left: 0;
    }

    &__right-icon {
        position: absolute;
        bottom: -30px;
        right: 0;
    }

    &__separate-line {
        margin-top: 25px;
        margin-bottom: 20px;
        height: 1px;
        width: 220px;
        background-color: $separate-line;
    }

    &__user {
        font-family: $alt-font-family;
        font-weight: bold;
        color: $base-font-colour;
        font-size: 13px;
        text-transform: uppercase;
    }

    &__slider-items {
        position: relative;
        & .slick-dots {
            position: absolute;
            right: 50%;
            bottom: -60px;
            transform: translateX(50%);
            list-style-type: none;
            display: flex;
            align-items: center;
            padding: 0;
            li {
                margin: 0 5px;
            }
            button {
                display: block;
                width: 14px;
                height: 14px;
                padding: 0;
                border: 2px solid $grey;
                border-radius: 100%;
                background-color: transparent;
                text-indent: -9999px;
                cursor: pointer;
            }

            li.slick-active button {
                background-color: $yellow;
                border: none;
            }
        }
    }

    &__rating-icon {
        margin-right: 10px;
        color: $yellow;
    }
}

@media screen and (min-width: $tablet){
    .testimonials {
        &__wrapper {
            padding-top: $global-padding;
            padding-bottom: $global-padding;
        }

        &-item {
            flex-direction: row;
            &__image {
                margin-bottom: 0;
                margin-right: 70px;
            }

            &__heading {
                font-size: 22px;
                margin-bottom: 24px;
            }

            &__description {
                font-size: 15px;
                line-height: 30px;
                padding-right: 150px;
            }
        }

        &__left-icon {
            top: -5px;
            left: -40px;
        }

        &__right-icon {
            bottom: -5px;
            right: 70px;
        }

        &__separate-line {
            margin-top: 45px;
            margin-bottom: 30px;
        }

        &__user {
            font-size: 16px;
        }

        &__slider-items .slick-dots {
            right: 0px;
            top: 50%;
            transform: translateY(-50%);
            flex-direction: column;
            li {
                margin: 5px 0;
            }
        }
    }
}

@media screen and (min-width: $desktop){
    .testimonials {
        &__right-icon {
            right: 30px;
        }

        &__slider-items .slick-dots {
            right: 0;
        }
    }
 }

 @media screen and (min-width: 1300px){
    .testimonials {

        &__slider-items .slick-dots {
            right: -60px;
        }
    }
 }